package com.alibaba.druid.sql.dialect.mariadb.ast.statement;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.statement.SQLShowStatement;
import com.alibaba.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class DrdsShowMetadataLock extends MariadbStatementImpl implements SQLShowStatement {
   private SQLName schemaName = null;

   public void accept0(MariadbASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }

   public SQLName getSchemaName() {
      return this.schemaName;
   }

   public void setSchemaName(SQLName schemaName) {
      schemaName.setParent(this);
      this.schemaName = schemaName;
   }
}
